### Constructor

# WebKit2 WebView new_with_user_content_manager

#### Declaration [src]

    GtkWidget*
    webkit_web_view_new_with_user_content_manager (
      WebKitUserContentManager* user_content_manager
    )

#### Description [src]

Creates a new `WebKitWebView` with the given `WebKitUserContentManager`.

The content loaded in the view may be affected by the content injected in the view by the user content manager.

Available since: | 2.6

#### Parameters

`user_content_manager` | `WebKitUserContentManager`
| A `WebKitUserContentManager`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| The newly created `WebKitWebView` widget.
| The data is owned by the called function.